import{s as Ft,n as Vt,o as At}from"../chunks/scheduler.85c25b89.js";import{S as St,i as Qt,g as s,s as i,r as p,A as qt,h as m,f as l,c as a,j as q,u as o,x as u,k as Yt,y as r,a as n,v as d,d as f,t as c,w as h}from"../chunks/index.c9837788.js";import{C as b}from"../chunks/CodeBlock.52fa569e.js";import{H as Jt,E as Dt}from"../chunks/EditOnGithub.b65eee75.js";function Ot(Ut){let g,K,D,tt,y,et,w,Wt="Before you start, you’ll need to setup your environment and install the appropriate packages. <code>timm</code> is tested on <strong>Python 3+</strong>.",lt,M,nt,T,Lt='You should install <code>timm</code> in a <a href="https://docs.python.org/3/library/venv.html" rel="nofollow">virtual environment</a> to keep things tidy and avoid dependency conflicts.',it,$,J,Y,kt="Create and navigate to your project directory:",_t,_,jt,j,F,It="Start a virtual environment inside your directory:",xt,x,Ct,v,V,Rt="Activate and deactivate the virtual environment with the following commands:",Ht,C,Gt,A,Zt="<code>Once you&#39;ve created your virtual environment, you can install</code>timm` in it.",at,H,st,G,Nt="The most straightforward way to install <code>timm</code> is with pip:",mt,U,pt,W,Et="Alternatively, you can install <code>timm</code> from GitHub directly to get the latest, bleeding-edge version:",ot,L,rt,k,Xt="Run the following command to check if <code>timm</code> has been properly installed:",dt,I,ft,R,zt="This command lists the first five pretrained models available in <code>timm</code> (which are sorted alphebetically). You should see the following output:",ct,Z,ht,N,ut,E,Bt="Building <code>timm</code> from source lets you make changes to the code base. To install from the source, clone the repository and install with the following commands:",$t,X,gt,z,Pt="Again, you can check if <code>timm</code> was properly installed with the following command:",vt,B,bt,P,yt,O,wt;return y=new Jt({props:{title:"Installation",local:"installation",headingTag:"h1"}}),M=new Jt({props:{title:"Virtual Environment",local:"virtual-environment",headingTag:"h2"}}),_=new b({props:{code:"bWtkaXIlMjB+JTJGbXktcHJvamVjdCUwQWNkJTIwfiUyRm15LXByb2plY3Q=",highlighted:`<span class="hljs-built_in">mkdir</span> ~/my-project
<span class="hljs-built_in">cd</span> ~/my-project`,wrap:!1}}),x=new b({props:{code:"cHl0aG9uJTIwLW0lMjB2ZW52JTIwLmVudg==",highlighted:'python -m venv .<span class="hljs-built_in">env</span>',wrap:!1}}),C=new b({props:{code:"JTIzJTIwQWN0aXZhdGUlMjB0aGUlMjB2aXJ0dWFsJTIwZW52aXJvbm1lbnQlMEFzb3VyY2UlMjAuZW52JTJGYmluJTJGYWN0aXZhdGUlMEElMEElMjMlMjBEZWFjdGl2YXRlJTIwdGhlJTIwdmlydHVhbCUyMGVudmlyb25tZW50JTBBc291cmNlJTIwLmVudiUyRmJpbiUyRmRlYWN0aXZhdGU=",highlighted:`<span class="hljs-comment"># Activate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/activate

<span class="hljs-comment"># Deactivate the virtual environment</span>
<span class="hljs-built_in">source</span> .<span class="hljs-built_in">env</span>/bin/deactivate`,wrap:!1}}),H=new Jt({props:{title:"Using pip",local:"using-pip",headingTag:"h2"}}),U=new b({props:{code:"cGlwJTIwaW5zdGFsbCUyMHRpbW0=",highlighted:"pip install timm",wrap:!1}}),L=new b({props:{code:"cGlwJTIwaW5zdGFsbCUyMGdpdCUyQmh0dHBzJTNBJTJGJTJGZ2l0aHViLmNvbSUyRnJ3aWdodG1hbiUyRnB5dG9yY2gtaW1hZ2UtbW9kZWxzLmdpdA==",highlighted:"pip install git+https://github.com/rwightman/pytorch-image-models.git",wrap:!1}}),I=new b({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),Z=new b({props:{code:"JTVCJ2Fkdl9pbmNlcHRpb25fdjMnJTJDJTIwJ2JhdF9yZXNuZXh0MjZ0cyclMkMlMjAnYmVpdF9iYXNlX3BhdGNoMTZfMjI0JyUyQyUyMCdiZWl0X2Jhc2VfcGF0Y2gxNl8yMjRfaW4yMmsnJTJDJTIwJ2JlaXRfYmFzZV9wYXRjaDE2XzM4NCclNUQ=",highlighted:'[<span class="hljs-string">&#x27;adv_inception_v3&#x27;</span>, <span class="hljs-string">&#x27;bat_resnext26ts&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_224_in22k&#x27;</span>, <span class="hljs-string">&#x27;beit_base_patch16_384&#x27;</span>]',wrap:!1}}),N=new Jt({props:{title:"From Source",local:"from-source",headingTag:"h2"}}),X=new b({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmdpdGh1Yi5jb20lMkZyd2lnaHRtYW4lMkZweXRvcmNoLWltYWdlLW1vZGVscy5naXQlMEFjZCUyMHRpbW0lMEFwaXAlMjBpbnN0YWxsJTIwLWUlMjAu",highlighted:`git <span class="hljs-built_in">clone</span> https://github.com/rwightman/pytorch-image-models.git
<span class="hljs-built_in">cd</span> timm
pip install -e .`,wrap:!1}}),B=new b({props:{code:"cHl0aG9uJTIwLWMlMjAlMjJmcm9tJTIwdGltbSUyMGltcG9ydCUyMGxpc3RfbW9kZWxzJTNCJTIwcHJpbnQobGlzdF9tb2RlbHMocHJldHJhaW5lZCUzRFRydWUpJTVCJTNBNSU1RCklMjI=",highlighted:'python -c <span class="hljs-string">&quot;from timm import list_models; print(list_models(pretrained=True)[:5])&quot;</span>',wrap:!1}}),P=new Dt({props:{source:"https://github.com/huggingface/pytorch-image-models/blob/main/hfdocs/source/installation.mdx"}}),{c(){g=s("meta"),K=i(),D=s("p"),tt=i(),p(y.$$.fragment),et=i(),w=s("p"),w.innerHTML=Wt,lt=i(),p(M.$$.fragment),nt=i(),T=s("p"),T.innerHTML=Lt,it=i(),$=s("ol"),J=s("li"),Y=s("p"),Y.textContent=kt,_t=i(),p(_.$$.fragment),jt=i(),j=s("li"),F=s("p"),F.textContent=It,xt=i(),p(x.$$.fragment),Ct=i(),v=s("li"),V=s("p"),V.textContent=Rt,Ht=i(),p(C.$$.fragment),Gt=i(),A=s("p"),A.innerHTML=Zt,at=i(),p(H.$$.fragment),st=i(),G=s("p"),G.innerHTML=Nt,mt=i(),p(U.$$.fragment),pt=i(),W=s("p"),W.innerHTML=Et,ot=i(),p(L.$$.fragment),rt=i(),k=s("p"),k.innerHTML=Xt,dt=i(),p(I.$$.fragment),ft=i(),R=s("p"),R.innerHTML=zt,ct=i(),p(Z.$$.fragment),ht=i(),p(N.$$.fragment),ut=i(),E=s("p"),E.innerHTML=Bt,$t=i(),p(X.$$.fragment),gt=i(),z=s("p"),z.innerHTML=Pt,vt=i(),p(B.$$.fragment),bt=i(),p(P.$$.fragment),yt=i(),O=s("p"),this.h()},l(t){const e=qt("svelte-u9bgzb",document.head);g=m(e,"META",{name:!0,content:!0}),e.forEach(l),K=a(t),D=m(t,"P",{}),q(D).forEach(l),tt=a(t),o(y.$$.fragment,t),et=a(t),w=m(t,"P",{"data-svelte-h":!0}),u(w)!=="svelte-1qm30ue"&&(w.innerHTML=Wt),lt=a(t),o(M.$$.fragment,t),nt=a(t),T=m(t,"P",{"data-svelte-h":!0}),u(T)!=="svelte-1tspkue"&&(T.innerHTML=Lt),it=a(t),$=m(t,"OL",{});var S=q($);J=m(S,"LI",{});var Mt=q(J);Y=m(Mt,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-1r7xizg"&&(Y.textContent=kt),_t=a(Mt),o(_.$$.fragment,Mt),Mt.forEach(l),jt=a(S),j=m(S,"LI",{});var Tt=q(j);F=m(Tt,"P",{"data-svelte-h":!0}),u(F)!=="svelte-f9gewz"&&(F.textContent=It),xt=a(Tt),o(x.$$.fragment,Tt),Tt.forEach(l),Ct=a(S),v=m(S,"LI",{});var Q=q(v);V=m(Q,"P",{"data-svelte-h":!0}),u(V)!=="svelte-1emagpr"&&(V.textContent=Rt),Ht=a(Q),o(C.$$.fragment,Q),Gt=a(Q),A=m(Q,"P",{"data-svelte-h":!0}),u(A)!=="svelte-1rhbetf"&&(A.innerHTML=Zt),Q.forEach(l),S.forEach(l),at=a(t),o(H.$$.fragment,t),st=a(t),G=m(t,"P",{"data-svelte-h":!0}),u(G)!=="svelte-1ofkc7p"&&(G.innerHTML=Nt),mt=a(t),o(U.$$.fragment,t),pt=a(t),W=m(t,"P",{"data-svelte-h":!0}),u(W)!=="svelte-8jifzq"&&(W.innerHTML=Et),ot=a(t),o(L.$$.fragment,t),rt=a(t),k=m(t,"P",{"data-svelte-h":!0}),u(k)!=="svelte-1gn5ojl"&&(k.innerHTML=Xt),dt=a(t),o(I.$$.fragment,t),ft=a(t),R=m(t,"P",{"data-svelte-h":!0}),u(R)!=="svelte-1o1qut7"&&(R.innerHTML=zt),ct=a(t),o(Z.$$.fragment,t),ht=a(t),o(N.$$.fragment,t),ut=a(t),E=m(t,"P",{"data-svelte-h":!0}),u(E)!=="svelte-5qedlp"&&(E.innerHTML=Bt),$t=a(t),o(X.$$.fragment,t),gt=a(t),z=m(t,"P",{"data-svelte-h":!0}),u(z)!=="svelte-tvmqyx"&&(z.innerHTML=Pt),vt=a(t),o(B.$$.fragment,t),bt=a(t),o(P.$$.fragment,t),yt=a(t),O=m(t,"P",{}),q(O).forEach(l),this.h()},h(){Yt(g,"name","hf:doc:metadata"),Yt(g,"content",Kt)},m(t,e){r(document.head,g),n(t,K,e),n(t,D,e),n(t,tt,e),d(y,t,e),n(t,et,e),n(t,w,e),n(t,lt,e),d(M,t,e),n(t,nt,e),n(t,T,e),n(t,it,e),n(t,$,e),r($,J),r(J,Y),r(J,_t),d(_,J,null),r($,jt),r($,j),r(j,F),r(j,xt),d(x,j,null),r($,Ct),r($,v),r(v,V),r(v,Ht),d(C,v,null),r(v,Gt),r(v,A),n(t,at,e),d(H,t,e),n(t,st,e),n(t,G,e),n(t,mt,e),d(U,t,e),n(t,pt,e),n(t,W,e),n(t,ot,e),d(L,t,e),n(t,rt,e),n(t,k,e),n(t,dt,e),d(I,t,e),n(t,ft,e),n(t,R,e),n(t,ct,e),d(Z,t,e),n(t,ht,e),d(N,t,e),n(t,ut,e),n(t,E,e),n(t,$t,e),d(X,t,e),n(t,gt,e),n(t,z,e),n(t,vt,e),d(B,t,e),n(t,bt,e),d(P,t,e),n(t,yt,e),n(t,O,e),wt=!0},p:Vt,i(t){wt||(f(y.$$.fragment,t),f(M.$$.fragment,t),f(_.$$.fragment,t),f(x.$$.fragment,t),f(C.$$.fragment,t),f(H.$$.fragment,t),f(U.$$.fragment,t),f(L.$$.fragment,t),f(I.$$.fragment,t),f(Z.$$.fragment,t),f(N.$$.fragment,t),f(X.$$.fragment,t),f(B.$$.fragment,t),f(P.$$.fragment,t),wt=!0)},o(t){c(y.$$.fragment,t),c(M.$$.fragment,t),c(_.$$.fragment,t),c(x.$$.fragment,t),c(C.$$.fragment,t),c(H.$$.fragment,t),c(U.$$.fragment,t),c(L.$$.fragment,t),c(I.$$.fragment,t),c(Z.$$.fragment,t),c(N.$$.fragment,t),c(X.$$.fragment,t),c(B.$$.fragment,t),c(P.$$.fragment,t),wt=!1},d(t){t&&(l(K),l(D),l(tt),l(et),l(w),l(lt),l(nt),l(T),l(it),l($),l(at),l(st),l(G),l(mt),l(pt),l(W),l(ot),l(rt),l(k),l(dt),l(ft),l(R),l(ct),l(ht),l(ut),l(E),l($t),l(gt),l(z),l(vt),l(bt),l(yt),l(O)),l(g),h(y,t),h(M,t),h(_),h(x),h(C),h(H,t),h(U,t),h(L,t),h(I,t),h(Z,t),h(N,t),h(X,t),h(B,t),h(P,t)}}}const Kt='{"title":"Installation","local":"installation","sections":[{"title":"Virtual Environment","local":"virtual-environment","sections":[],"depth":2},{"title":"Using pip","local":"using-pip","sections":[],"depth":2},{"title":"From Source","local":"from-source","sections":[],"depth":2}],"depth":1}';function te(Ut){return At(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ae extends St{constructor(g){super(),Qt(this,g,te,Ot,Ft,{})}}export{ae as component};
